Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Theme switcher on 1.6.03  (Read 239 times)

0 Members and 1 Guest are viewing this topic.

café

  • Coppermine newbie
  • Country: br
  • Offline Offline
  • Posts: 7
Theme switcher on 1.6.03
« on: June 06, 2018, 04:29:41 pm »

Hi forum,

I installed Coppermine 1.6.03 recently as I was running into errors on my server when attempting to install v1.5. It's all been working fine using plugins and themes for 1.5x until I tried to configure the "theme_switcher" plugin in the plugin manager. When I attempt to configure it, I get the following error:

Fatal error: Uncaught Error: Call to undefined function mysql_result() in /home/escuta/webapps/joomla/fotos/plugins/theme_switch/admin.php:58 Stack trace: #0 /home/escuta/webapps/joomla/fotos/index.php(78): include_once() #1 {main} thrown in /home/escuta/webapps/joomla/fotos/plugins/theme_switch/admin.php on line 58

Line 58 in plugins/theme_switch/admin.php is:

$theme = mysql_result(cpg_db_query("SELECT value FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'theme_switch_mobile_theme'"), 0);

Can anyone please suggest a solution, or is v1.6 theme switcher plugin forthcoming?

Thanks,

Café
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 864
Re: Theme switcher on 1.6.03
« Reply #1 on: June 07, 2018, 04:11:43 am »

Here it is for CPG 1.6.x (link)
« Last Edit: June 07, 2018, 02:35:04 pm by ron4mac »
Logged

café

  • Coppermine newbie
  • Country: br
  • Offline Offline
  • Posts: 7
Re: Theme switcher on 1.6.03
« Reply #2 on: June 07, 2018, 12:24:46 pm »

Thanks a lot, it works!

A note for anyone who like me, tries to install the 1.5.x version of theme switcher on Coppermine 1.6.x before installing this new one: this may result in a primary key being written to the mySQL database which blocks the installation of the version for 1.6.x. To fix this duplicate, I needed to open phpMyAdmin and delete the entry "theme_switch_mobile_theme" in "cpg16x_config". After that I could install the new version.

All the best,
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 864
Re: Theme switcher on 1.6.03
« Reply #3 on: June 07, 2018, 02:38:58 pm »

A note for anyone who like me, tries to install the 1.5.x version of theme switcher on Coppermine 1.6.x before installing this new one: this may result in a primary key being written to the mySQL database which blocks the installation of the version for 1.6.x.

Thanks for the feedback, café. I modified the version in the CPG 1.6 Plugin Contributions to not fail on installation in that situation.
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 864
Re: Theme switcher on 1.6.03
« Reply #4 on: June 08, 2018, 01:16:55 pm »

The themes that come with CPG1.6 are not very modern in design. They won't be responsive.
This designer has some nice, fairly responsive themes. Theme #12 is free to try/use.

I will also point out to you ... themes that come with CPG will be overwritten during an upgrade. So if you want to modify a theme you should copy it to a new folder first. The themes with CPG 1.6 are made to easily copy and use. Other themes may need to have many things changed in them to point at their new name/folder.
Logged

café

  • Coppermine newbie
  • Country: br
  • Offline Offline
  • Posts: 7
Re: Theme switcher on 1.6.03
« Reply #5 on: June 08, 2018, 03:19:04 pm »

Thanks a lot for the information and link!
Logged
Pages: [1]   Go Up
 

Page created in 0.019 seconds with 20 queries.